!
"----------------------------------------------------------"
" loader.st                                                "
" Smalltalk loader.                                        "
" Build No: 218                                            "
" Language: Smalltalk                                      "
" Platform: .Net                                           "
" Oct 07, 2004 11:06:43 AM                                 "
"----------------------------------------------------------"
!!
!
$ClassMode
!!
!
Object subclass: #InputOutput
instanceVariableNames: ''
classVariableNames: ''
!!
!
InputOutput subclass: #Console
instanceVariableNames: ''
classVariableNames: ''
!!
!
InputOutput subclass: #Directory
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'System.IO.Directory'
!!
!
InputOutput subclass: #File
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'System.IO.File'
!!
!
InputOutput subclass: #FileInStream
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'Vmx.FileInStream'
!!
!
InputOutput subclass: #TextWriter
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'System.IO.TextWriter'
!!
!
TextWriter subclass: #SyncTextWriter
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'System.IO.TextWriter+SyncTextWriter'
!!
!
Object subclass: #Vm
instanceVariableNames: ''
classVariableNames: ''
mapToType: 'Kernel.Vm'
!!
!
"-----------------------------------------------------"
" Console                                             "
"-----------------------------------------------------"
!!
!
$MethodsFor: Console class
!!
!
error
   <primitive: 'System.Console' 'get_Error'>
!!
!
out
   <primitive: 'System.Console' 'get_Out'>
!!
!
"-----------------------------------------------------"
" Directory                                           "
"-----------------------------------------------------"
!!
!
$MethodsFor: Directory class
!!
!
getDirectories: aPath
   <primitive: 'System.IO.Directory' 'GetDirectories' 'System.String'>
!!
!
getFiles: aPath
   <primitive: 'System.IO.Directory' 'GetFiles' 'System.String'>
!!
!
"-----------------------------------------------------"
" File class                                          "
"-----------------------------------------------------"
!!
!
$MethodsFor: File class
!!
!
exists: aPath
   <primitive: 'System.IO.File' 'Exists' 'System.String'>
!!
!
openText: aPath
   <primitive: 'System.IO.File' 'OpenText' 'System.String'>
!!
!
"-----------------------------------------------------"
" FileInStream class                                  "
"-----------------------------------------------------"
!!
!
$MethodsFor: FileInStream class
!!
!
new: aTextReader
   <primitive: 'Vmx.FileInStream' '.ctor' 'System.IO.TextReader'>
!!
!
"-----------------------------------------------------"
" FileInStream                                        "
"-----------------------------------------------------"
!!
!
$MethodsFor: FileInStream
!!
!
fileIn
   <primitive: 'Vmx.FileInStream' 'FileIn'>
!!
!
"-----------------------------------------------------"
" SyncTextWriter                                      "
"-----------------------------------------------------"
!!
!
$MethodsFor: SyncTextWriter
!!
!
cr
   self writeLine: ''
!!
!
show: anObject
   self write: anObject
!!
!
"-----------------------------------------------------"
" TextWriter                                          "
"-----------------------------------------------------"
!!
!
$MethodsFor: TextWriter
!!
!
write: anObject
   <primitive: 'System.IO.TextWriter' 'Write' 'System.Object'>
!!
!
writeLine: anObject
   <primitive: 'System.IO.TextWriter' 'WriteLine' 'System.Object'>
!!
!
"-----------------------------------------------------"
" Vm                                                  "
"-----------------------------------------------------"
!!
!
$MethodsFor: Vm class
!!
!
addStartupAssembly: anAssemblyName
   <primitive: 'Kernel.Vm' 'AddStartupAssembly' 'System.String'>
!!
!
startupString: aString
   <primitive: 'Kernel.Vm' 'SetStartupString' 'System.String'>
!!
!
"-----------------------------------------------------"
" Loader Commands                                     "
"-----------------------------------------------------"
!!
!
$CommandMode
!!
!
Transcript := Console out.
Transcript show: 'Beginning startup.st...'; cr.
Vm addStartupAssembly: 'AxInterOp.ShDocVw'.
Vm addStartupAssembly: 'Handlers'.
Vm addStartupAssembly: 'InterOp.ShDocVw'.
Vm addStartupAssembly: 'VmxBasic'.
Vm addStartupAssembly: 'WebBrowser'.
Vm addStartupAssembly: 'System.Web'.
Vm startupString: 'Transcript := Console out'.
(FileInStream new: (File openText: 'Object/_loader.st')) fileIn.
Transcript show: 'Ended startup.st'; cr
!!
!
"-----------------------------------------------------"
" E N D  of  F I L E                                  "
"-----------------------------------------------------"
!!
